coupang
DELETE/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback2609170000

[Book] Removing Product Cashback

# 01

Summary

[Book] Removing Product Cashback

# 02

Details

Available buyer market: Korea

Stop using cash back rule applied to an option ID.

Path

DELETE/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/products/items/cashback?ruleId=3944&vendorItemId=3000001897

URL API Name

DELETE_PRODUCT_CASHBACK
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued by Coupang to the seller

ex) A00012345
# 04

Query parameters

NameTypeDescription
ruleId*number
Rule ID
Input a rule ID given after the cash back contract is signed
vendorItemId*number
Option ID
# 05

Response body

Response message

NameTypeDescription
codestring
Http request status code
Example: 200, 400, 500
messagestring
Result message based on success or failure
200: OK
400: Bad request , will show corresponding bad request message
500: Internal error

Response Example

{
  "code": "200",
  "message": "OK"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
404404 (Check parameter requested)

Can not find promotion with given condition vendorItemId : 3376*****9

Check whether cash back is applied to the option ID (vendorItemID). The option ID where cash back is applied can be removed.

400400 (Check parameter requested)

vendor don't have the permission to use this rule, please make sure you use the correct ruleId.

Check whether the RuleId is correctly input.

400400 (Check parameter requested)

Invalid vendorItemId, vendorItemId doesn't exist or doesn't belong to corresponding vendorId

Check whether OptionID (vendorItemId) is correctly input.